import request from '@/utils/request'

// 查询企业历程列表
export function listEnterpriseProgress(query) {
  return request({
    url: '/hezhi/enterpriseProgress/list',
    method: 'get',
    params: query
  })
}

// 查询企业历程详细
export function getEnterpriseProgress(enterpriseProgressId) {
  return request({
    url: '/hezhi/enterpriseProgress/' + enterpriseProgressId,
    method: 'get'
  })
}

// 新增企业历程
export function addEnterpriseProgress(data) {
  return request({
    url: '/hezhi/enterpriseProgress',
    method: 'post',
    data: data
  })
}

// 修改企业历程
export function updateEnterpriseProgress(data) {
  return request({
    url: '/hezhi/enterpriseProgress',
    method: 'put',
    data: data
  })
}

// 删除企业历程
export function delEnterpriseProgress(enterpriseProgressId) {
  return request({
    url: '/hezhi/enterpriseProgress/' + enterpriseProgressId,
    method: 'delete'
  })
}
